## WinPython 3.3.5.1

The following packages are included in WinPython v3.3.5.1.

### Tools

Name | Version | Description
-----|---------|------------
[gettext](http://sourceforge.net/projects/gettext) | 0.14.4 | GNU gettext Win32 porting - the GNU translation tool (useful tools for pygettext, a standard library module)
[SciTE](http://www.scintilla.org/SciTE.html) | 3.3.7 | SCIntilla based Text Editor - Multilanguage, powerful and light-weight text editor
[TortoiseHg](http://tortoisehg.bitbucket.org) | 2.11.2 | Set of graphical tools and a shell extension for the Mercurial distributed revision control system
[MinGW32](http://www.mingw.org) | 4.8.1 | (32-bit version only) Windows specific header files and import libraries, C/C++ and Fortran compilers

### Python packages

Name | Version | Description
-----|---------|------------
[Python](http://www.python.org/) | 3.3.5 | Python programming language with standard library
[astroid](http://pypi.python.org/pypi/astroid) | 1.2.0 | Rebuild a new abstract syntax tree from Python's ast (required for pylint)
[brewer2mpl](http://pypi.python.org/pypi/brewer2mpl) | 1.4 | 
[colorama](http://pypi.python.org/pypi/colorama) | 0.3.1 | Cross-platform colored terminal text
[cvxopt](http://abel.ee.ucla.edu/cvxopt) | 1.1.7 | Convex optimization library
[cx_Freeze](http://cx-freeze.sourceforge.net) | 4.3.3 | Deployment tool which converts Python scripts into stand-alone Windows executables (i.e. target machine does not require Python or any other library to be installed)
[Cython](http://www.cython.org) | 0.20.2 | Cython is a language that makes writing C extensions for the Python language as easy as Python
[docutils](http://docutils.sourceforge.net) | 0.12 | Text processing system for processing plaintext documentation into useful formats, such as HTML or LaTeX (includes reStructuredText)
[formlayout](http://formlayout.googlecode.com) | 1.0.15 | Module for creating form dialogs/widgets to edit various type of parameters without having to write any GUI code
[ggplot](https://github.com/yhat/ggplot) | 0.6.5 | ggplot for python
[guidata](http://packages.python.org/guidata) | 1.6.2 | Automatically generated graphical user interfaces for easy data set edition and display
[guiqwt](http://packages.python.org/guiqwt) | 2.3.2 | Efficient curve/image plotting and other GUI tools for scientific data processing software development
[h5py](http://code.google.com/p/h5py/) | 2.3.1 | General-purpose Python interface to HDF5 files (unlike PyTables, h5py provides direct access to the full HDF5 C library)
[ipython](http://ipython.org) | 2.2.0 | Enhanced Python shell
[ipython-sql](http://ipython.org) | 0.3.3 | Enhanced Python shell
[Jinja2](http://jinja.pocoo.org) | 2.7.3 | Sandboxed template engine (provides a Django-like non-XML syntax and compiles templates into executable python code)
[joblib](http://pypi.python.org/pypi/joblib) | 0.8.2 | 
[julia](http://pypi.python.org/pypi/julia) | 0.1.1.2 | 
[logilab-common](http://pypi.python.org/pypi/logilab-common) | 0.61.0 | Collection of low-level Python packages and modules used by Logilab projects (required for pylint)
[mahotas](http://pypi.python.org/pypi/mahotas) | 1.2.1 | Computer Vision library
[MarkupSafe](http://pypi.python.org/pypi/MarkupSafe) | 0.23 | Implements a XML/HTML/XHTML Markup safe string for Python
[matplotlib](http://matplotlib.sourceforge.net) | 1.3.1 | 2D plotting library (embeddable in GUIs created with PyQt)
[mpld3](http://pypi.python.org/pypi/mpld3) | 0.2 | 
[mysql-connector-python](http://pypi.python.org/pypi/mysql-connector-python) | 1.2.2 | 
[networkx](http://pypi.python.org/pypi/networkx) | 1.9 | Python package for creating and manipulating graphs and networks
[nose](http://somethingaboutorange.com/mrl/projects/nose) | 1.3.3 | nose is a discovery-based unittest extension (e.g. NumPy test module is using nose)
[numexpr](http://code.google.com/p/numexpr) | 2.4 | Fast evaluation of array expressions elementwise by using a vector-based virtual machine
[numpy-MKL](http://numpy.scipy.org/) | 1.8.2 | NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy's core module)
[pandas](http://pypi.python.org/pypi/pandas) | 0.14.1 | Powerful data structures for data analysis, time series and statistics
[patsy](http://pypi.python.org/pypi/patsy) | 0.3.0 | Describing statistical models using symbolic formulas
[pep8](http://pypi.python.org/pypi/pep8) | 1.5.7 | 
[pg8000](http://pypi.python.org/pypi/pg8000) | 1.9.14 | 
[Pillow](http://pypi.python.org/pypi/Pillow) | 2.5.2 | Python Imaging Library (fork)
[pip](http://pypi.python.org/pypi/pip) | 1.5.6 | A tool for installing and managing Python packages
[psutil](http://code.google.com/p/psutil) | 2.1.1 | Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way
[pyflakes](http://pypi.python.org/pypi/pyflakes) | 0.8.1 | 
[Pygments](http://pygments.org) | 1.6 | Generic syntax highlighter for general use in all kinds of software
[pyhdf](http://pysclint.sourceforge.net/pyhdf) | 0.8.3 | Python interface to HDF4 files (Hierarchical Data Format version 4)
[pylint](http://www.logilab.org/project/pylint) | 1.3.0 | Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality
[pyodbc](http://pypi.python.org/pypi/pyodbc) | 3.0.7 | 
[PyOpenGL](http://pyopengl.sourceforge.net) | 3.1.0 | Cross platform Python binding to OpenGL and related APIs
[pyparsing](http://pyparsing.wikispaces.com/) | 2.0.2 | A Python Parsing Module
[PyQt4](http://pypi.python.org/pypi/PyQt4) | 4.10.4 | 
[PyQtdesignerplugins](http://pypi.python.org/pypi/PyQtdesignerplugins) | 1.1 | PyQtdesignerplugins installs Python Qt designer plugins (Matplotlib, guiqwt, etc.) for PyQt4
[PyQtdoc](http://pypi.python.org/pypi/PyQtdoc) | 4.8.4 | PyQtdoc installs Qt documentation for PyQt4
[PyQwt](http://pyqwt.sourceforge.net) | 5.2.1 | 2D plotting library (set of Python bindings for the Qwt library featuring fast plotting)
[pyreadline](http://ipython.org/pyreadline.html) | 2.0 | IPython needs this module to display color text in Windows command window
[pyserial](http://sourceforge.net/projects/pyserial) | 2.7 | Library encapsulating the access for the serial port
[python-dateutil](http://labix.org/python-dateutil) | 2.2 | Powerful extensions to the standard datetime module
[pytz](http://pytz.sourceforge.net/) | 2014.4 | World Timezone Definitions for Python
[pywin32](http://sourceforge.net/projects/pywin32) | 219 | Python library for Windows
[pyzmq](http://pypi.python.org/pypi/pyzmq) | 14.3.1 | Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console)
[reportlab](http://www.reportlab.org) | 3.1.8 | The PDF generation library
[rope_py3k-0.9.4](http://pypi.python.org/pypi/rope_py3k-0.9.4) | 1 | 
[rpy2](http://pypi.python.org/pypi/rpy2) | 2.4.3 | 
[Scidoc](http://pypi.python.org/pypi/Scidoc) | 1.8.0 | Scidoc installs scientific libraries documentation (NumPy, SciPy, ...)
[scikit-image](http://pypi.python.org/pypi/scikit-image) | 0.10.1 | Image processing toolbox for SciPy
[scikit-learn](http://pypi.python.org/pypi/scikit-learn) | 0.15.1 | A set of Python modules for machine learning and data mining
[scipy](http://www.scipy.org) | 0.14.0 | SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...)
[seaborn](http://pypi.python.org/pypi/seaborn) | 0.3.1 | 
[setuptools](http://pypi.python.org/pypi/setuptools) | 5.4.2 | Download, build, install, upgrade, and uninstall Python packages - easily
[simplejson](http://pypi.python.org/pypi/simplejson) | 3.6.2 | Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder
[six](http://pypi.python.org/pypi/six) | 1.7.2 | Python 2 and 3 compatibility utilities
[Sphinx](http://sphinx.pocoo.org) | 1.2.2 | Tool for generating documentation which uses reStructuredText as its markup language
[spyder](https://bitbucket.org/spyder-ide/spyderlib) | 2.3.0 | Scientific PYthon Development EnviRonment: designed for interactive computing and data visualisation with a simple and intuitive user interface
[SQLAlchemy](http://www.sqlalchemy.org) | 0.9.7 | SQL Toolkit and Object Relational Mapper
[sqlite_bro](https://github.com/stonebig/sqlite_bro) | 0.8.6 | a graphic SQLite Client in 1 Python file
[statsmodels](http://pypi.python.org/pypi/statsmodels) | 0.5.0 | Statistical computations and models for use with SciPy
[sympy](http://code.google.com/p/sympy) | 0.7.5 | Symbolic Mathematics Library
[tables](http://www.pytables.org) | 3.1.1 | Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data)
[tornado](http://pypi.python.org/pypi/tornado) | 4.0.1 | Scalable, non-blocking web server and tools (required for IPython notebook)
[ViTables](http://vitables.org) | 2.1 | Graphical tool for browsing and editing files in both HDF5 and PyTables formats
[VPython](http://www.vpython.org) | 5.74 | A free, open-source module for producing real-time 3D scenes with Python
[winpython](http://winpython.sourceforge.net/) | 1.0 | WinPython distribution tools, including WPPM (package manager)
[xlrd](http://pypi.python.org/pypi/xlrd) | 0.9.3 | Extract data from Microsoft Excel spreadsheet files